Intel® Cluster Ready - Additional Application Requirements

Some registered Intel® Cluster Ready applications require minor modifications to the software stack or the hardware configuration to ensure interoperability with certified clusters.

View the list below for additional requirements.

Software Vendor Application Additional Requirements
Accelrys

Materials Studio 4.3

HP-MPI version 2.2.5.1 must be installed on all cluster nodes as root prior to the installation of the Materials Studio servers. Required binaries and installation instructions are provided as part of Materials Studio 4.3 distribution

Altair

RADIOSS 90 SA1

RADIOSS 10.0

To run under Infiniband, the minimal system levels indicated below must be installed:

  • Linux kernel : RHEL 5.1 (Tikanga) kernel 2.6.18-53.el5 or higher
  • Intel MPI 3.1 or higher
  • OFED 1.3 or higher

Unlimited stacksize may be required to run big cases.

ANSYS

ANSYS version 11

OpenMotif and MESA (OpenGL) must be installed

ANSYS

Fluent 6.3

Requires libstdc++.so.5

CD-adapco

STAR-CD V4.02.001

  1. HP-MPI 2.2.5.0
  2. If users wish to use user-supplied source code, then additional requirements Absoft Compiler and/or a PGF Compiler (optional)
ESI Group

Pamcrash 2G v2007

  • On Ethernet:
    • OpenMPI 1.2 (or later), or
    • HP-MPI 2.1.1 (or later), or
    •  
    • LAM 7.1.1 (or later), or
    • HP-MPI 2.1.1 (or later)
  • On Myrinet:
    • HP-MPI 2.1.1
  • On InfiniBand:
    • OpenMPI 1.2 (or later), or
    • HP-MPI 2.1.1 (or later)
ICON Technology &
Process Consulting Ltd

ICON FOAMpro 1.5

ICON FOAMpro 2.0

Installation of the standard Linux distributed "libreadline.so.5"

Landmark Software and Services

SeisSpace R5000+

Three additional libraries must be installed for the application to function fully:

  • libg2c.so.0,
  • libreadline.so.4, and
  • libhistory.so.4.

More information is provided in the Release Notes.

LSTC
(Livermore Software
Technology Corporation)

LS-DYNA/MPP R3

LS-DYNA LS971R3.2/MPP for Intel MPI (single precision)

At least 1GB RAM per core is suggested. Certain workloads may require more RAM. If in doubt, please consult LSTC.

MAGMA
Giessereitechnologie
GmbH

MAGMA V4.4-p19

HP-MPI 2.2.5.1

Schlumberger

Petrel Seismic Server 2008.1

The software requires a local directory with the same name to be created on each node. This directory has to be writable by the user running the software.

Petrel Seismic Server is supported on RedHat Enterprise Linux 4 only. The following packages are also required:

  • libaio
  • e2fsprogs
  • libstdc++
  • zlib
  • libxml2
  • unixODBC
Siemens PLM Software

NX Nastran, Version 5.1

Nastran must be configured to use SSH.

simufact

simufact.forming 9.0

  • libssl.so.0.9.7
  • libcrypto.so.0.9.7
  • libreadline.so.5
  • libBLT24.so
For more complete information about compiler optimizations, see our Optimization Notice.